#### Linux From Scratch - Version 12.3-systemd

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Make-4.4.1

- Next

  Sed-4.9

- Up
- Home

# 6.13. Patch-2.7.6

The Patch package contains a program for modifying or creating files by applying a “patch” file typically created by the diff program.

Approximate build time: 0.1 SBU
Required disk space: 12 MB

## 6.13.1. Installation of Patch

Prepare Patch for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.70.2, “Contents of Patch.”

- Prev

  Make-4.4.1

- Next

  Sed-4.9

- Up
- Home